﻿using System;
using System.ComponentModel.DataAnnotations;
using Kreta.BusinessLogic.Interfaces;
using Kreta.Resources;

namespace Kreta.Web.Areas.GRModul.Models
{
    public class BeszerzesiIgenyGridModel : IKretaIdentity
    {
        public string ID { get; set; }

        [Display(Name = nameof(GRModulResource.IgenylesKezdete), ResourceType = typeof(GRModulResource))]
        public DateTime IgenylesKezdete { get; set; }

        [Display(Name = nameof(GRModulResource.Anyag), ResourceType = typeof(GRModulResource))]
        public string Anyag { get; set; }

        [Display(Name = nameof(GRModulResource.Statusz), ResourceType = typeof(GRModulResource))]
        public string StatuszId_DNAME { get; set; }

        public int StatuszId { get; set; }
    }
}
