﻿using System;
using System.ComponentModel.DataAnnotations;
using Kreta.BusinessLogic.HelperClasses;
using Kreta.Resources;

namespace Kreta.Web.Areas.GRModul.Models
{
    public class BeszerzesiIgenySearchModel
    {
        [Display(Name = nameof(GRModulResource.IgenylesKezdete), ResourceType = typeof(GRModulResource))]
        public DateTime? SrcIgenylesKezdete { get; set; }

        [Display(Name = nameof(GRModulResource.RogzitesDatuma), ResourceType = typeof(GRModulResource))]
        public DateTime? SrcRogzitesDatuma { get; set; }

        [Display(Name = nameof(GRModulResource.Anyag), ResourceType = typeof(GRModulResource))]
        public string SrcAnyag { get; set; }

        [Display(Name = nameof(GRModulResource.Statusz), ResourceType = typeof(GRModulResource))]
        public int? SrcStatusz { get; set; }

        public bool IsVezeto { get; set; }

        public BeszerzesiIgenySearchCo ConvertModelToCo(int tanevId)
        {
            return new BeszerzesiIgenySearchCo()
            {
                TanevId = tanevId,
                SrcAnyag = SrcAnyag,
                SrcStatusz = SrcStatusz,
                SrcIgenylesKezdete = SrcIgenylesKezdete,
                SrcRogzitesDatuma = SrcRogzitesDatuma
            };
        }
    }
}
