﻿using System;
using Kreta.BusinessLogic;

namespace Kreta.Web.Areas.GRModul.Models
{
    public class KotvallVisszavonasModel
    {
        public int Id { get; set; }
        public Guid IdpEgyediAzonosito { get; set; }
        public string OktatasiAzonosito { get; set; }
        public Guid? IntezmenyEgyediAzonosito { get; set; }
        public string EloTag { get; set; }
        public string CsaladiNev { get; set; }
        public string Utonev { get; set; }

        public KotvallVisszavonasCo ConvertToCo()
        {
            return new KotvallVisszavonasCo
            {
                Id = Id,
                CsaladiNev = CsaladiNev,
                EloTag = EloTag,
                IdpEgyediAzonosito = IdpEgyediAzonosito,
                IntezmenyEgyediAzonosito = IntezmenyEgyediAzonosito,
                OktatasiAzonosito = OktatasiAzonosito,
                Utonev = Utonev,
            };
        }
    }
}
