﻿using System;
using System.ComponentModel.DataAnnotations;
using Kreta.Resources;

namespace Kreta.Web.Areas.GRModul.Models
{
    public class ProjektSearchModel
    {
        [Display(Name = nameof(GRModulResource.ProjektAzonosito), ResourceType = typeof(GRModulResource))]
        public string SrcProjektAzonosito { get; set; }

        [Display(Name = nameof(GRModulResource.ProjektNeve), ResourceType = typeof(GRModulResource))]
        public string SrcProjektNeve { get; set; }

        [Display(Name = nameof(GRModulResource.ProjektKezdete), ResourceType = typeof(GRModulResource))]
        public DateTime? SrcProjektKezdete { get; set; }

        [Display(Name = nameof(GRModulResource.ProjektVege), ResourceType = typeof(GRModulResource))]
        public DateTime? SrcProjektVege { get; set; }

        [Display(Name = nameof(GRModulResource.TSZTOMegkotesDatum), ResourceType = typeof(GRModulResource))]
        public DateTime? SrcTSZTOMegkotesDatum { get; set; }

        [Display(Name = nameof(GRModulResource.JelentkezesiHataridoKezdete), ResourceType = typeof(GRModulResource))]
        public DateTime? SrcJelentkezesiHataridoKezdete { get; set; }

        [Display(Name = nameof(GRModulResource.JelentkezesiHataridoVege), ResourceType = typeof(GRModulResource))]
        public DateTime? SrcJelentkezesiHataridoVege { get; set; }
    }
}
