﻿using System;
using System.ComponentModel.DataAnnotations;
using Kreta.BusinessLogic.Interfaces;
using Kreta.Resources;

namespace Kreta.Web.Areas.GRModul.Models
{
    public class BeszerzesiIgenyMegjegyzesGridModel : IKretaIdentity
    {
        public string ID { get; set; }

        [Display(Name = nameof(GRModulResource.MegjegyzesSzoveg), ResourceType = typeof(GRModulResource))]
        public string MegjegyzesSzoveg { get; set; }

        [Display(Name = nameof(GRModulResource.MegjegyzesIdopontja), ResourceType = typeof(GRModulResource))]
        public DateTime MegjegyzesIdopontja { get; set; }

        [Display(Name = nameof(GRModulResource.MegjegyzesRogzitoNeve), ResourceType = typeof(GRModulResource))]
        public string MegjegyzesRogzitoNeve { get; set; }
    }
}
