﻿using System.ComponentModel.DataAnnotations;
using Kreta.BusinessLogic.HelperClasses;
using Kreta.Resources;

namespace Kreta.Web.Areas.GRModul.Models
{
    public class KotvallKiegeszitoModel
    {
        public int? Id { get; set; }

        [Display(Name = nameof(KotvallKezelesResource.KiegeszitoTajekoztatas), ResourceType = typeof(KotvallKezelesResource))]
        public string ModositasiKerelem { get; set; }


        [Display(Name = nameof(KotvallKezelesResource.ElutasitasIndoka), ResourceType = typeof(KotvallKezelesResource))]
        public string ElutasitasOka { get; set; }

        public static KotvallKiegeszitoModel ConvertToModel(KotvallItemCo co)
        {
            return new KotvallKiegeszitoModel
            {
                ModositasiKerelem = co.ModositasiKerelem,
                ElutasitasOka = co.ElutasitasOka,
                Id = co.Id
            };
        }
    }
}
